<!-- Layout de contenedores para editar catálogos -->
<mat-drawer-container [hasBackdrop]="false" >
  <mat-drawer #drawer opened="{{sidenavState | async }}" *ngIf="showSidenav">
    <mat-icon class="close-drawer" (click)="closeSidenav()">close</mat-icon>
    <mat-card-title style="font-size: 1em" class="inline-name margin-head"><mat-icon style="margin-top: 8px;">shopping_basket</mat-icon> Listado Productos - <span style="font-size: 0.8em; color: gray; font-style: italic;">{{worldName}} / {{gaName}}</span></mat-card-title>
    <app-product-list [gaName]="gaName" [noProducts]="noProducts" [products]='productsInList' [pageId]="idPage" [tags] = "tags"></app-product-list>
  </mat-drawer>
  <mat-drawer-content>
    <mat-grid-list cols="100" rowHeight="1:41">
      <mat-grid-tile [colspan]="15" class='main-editor' style="align-items:flex-start !important">
        <app-list-world></app-list-world>
      </mat-grid-tile>
      <mat-grid-tile [colspan]="20" class='main-editor'>
        <app-ga-list></app-ga-list>
      </mat-grid-tile>
      <mat-grid-tile [colspan]="65" style="overflow-y: auto" class='main-editor'>
        <app-main-grid-products [worldName]="worldName" *ngIf="showSidenav" [products]="products" [idPage]="idPage" [idLocalGa]= "idLocalGa" [tags]="tags" [contentsGroup]="contentsGroups" [idWorld]="idWorld"></app-main-grid-products>
        <div class="no-grid" [ngStyle]="{'visibility': showSidenav ? 'hidden' : 'visible'}" align="center">
          Seleccione un <strong>Grupo de Análisis</strong> para visualizar el editor <mat-icon>border_color</mat-icon>
        </div>
      </mat-grid-tile>
    </mat-grid-list>
  </mat-drawer-content>
</mat-drawer-container>
